#!/bin/sh
#
# NAME: Miniconda3
# VER: 4.3.27
# PLAT: linux-ppc64le
# BYTES: 36020850
# LINES: 464
# MD5: 9d3772d2f2fef9c472a81ab1ba413847
export OLD_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
unset LD_LIBRARY_PATH
if ! echo "$0" | grep '\.sh$' > /dev/null; then
printf 'Please run using "bash" or "sh", but not "." or "source"\\n' >&2
return 1
fi
# Determine RUNNING_SHELL; if SHELL is non-zero use that.
if [ -n "$SHELL" ]; then
RUNNING_SHELL="$SHELL"
else
if [ "$(uname)" = "Darwin" ]; then
RUNNING_SHELL=/bin/bash
else
if [ -d /proc ] && [ -r /proc ] && [ -d /proc/$$ ] && [ -r /proc/$$ ] && [ -L /proc/$$/exe ] && [ -r /proc/$$/exe ]; then
RUNNING_SHELL=$(readlink /proc/$$/exe)
fi
if [ -z "$RUNNING_SHELL" ] || [ ! -f "$RUNNING_SHELL" ]; then
RUNNING_SHELL=$(ps -p $$ -o args= | sed 's|^-||')
case "$RUNNING_SHELL" in
*/*)
;;
default)
RUNNING_SHELL=$(which "$RUNNING_SHELL")
;;
esac
fi
fi
fi
# Some final fallback locations
if [ -z "$RUNNING_SHELL" ] || [ ! -f "$RUNNING_SHELL" ]; then
if [ -f /bin/bash ]; then
RUNNING_SHELL=/bin/bash
else
if [ -f /bin/sh ]; then
RUNNING_SHELL=/bin/sh
fi
fi
fi
if [ -z "$RUNNING_SHELL" ] || [ ! -f "$RUNNING_SHELL" ]; then
printf 'Unable to determine your shell. Please set the SHELL env. var and re-run\\n' >&2
exit 1
fi
THIS_DIR=$(DIRNAME=$(dirname "$0"); cd "$DIRNAME"; pwd)
THIS_FILE=$(basename "$0")
THIS_PATH="$THIS_DIR/$THIS_FILE"
PREFIX=$HOME/miniconda3
BATCH=0
FORCE=0
SKIP_SCRIPTS=0
TEST=0
USAGE="
usage: $0 [options]
Installs Miniconda3 4.3.27
-b run install in batch mode (without manual intervention),
it is expected the license terms are agreed upon
-f no error if install prefix already exists
-h print this help message and exit
-p PREFIX install prefix, defaults to $PREFIX, must not contain spaces.
-s skip running pre/post-link/install scripts
-u update an existing installation
-t run package tests after installation (may install conda-build)
"
if which getopt > /dev/null 2>&1; then
OPTS=$(getopt bfhp:sut "$*" 2>/dev/null)
if [ ! $? ]; then
printf "%s\\n" "$USAGE"
exit 2
fi
eval set -- "$OPTS"
while true; do
case "$1" in
-h)
printf "%s\\n" "$USAGE"
exit 2
;;
-b)
BATCH=1
shift
;;
-f)
FORCE=1
shift
;;
-p)
PREFIX="$2"
shift
shift
;;
-s)
SKIP_SCRIPTS=1
shift
;;
-u)
FORCE=1
shift
;;
-t)
TEST=1
shift
;;
--)
shift
break
;;
*)
printf "ERROR: did not recognize option '%s', please try -h\\n" "$1"
exit 1
;;
esac
done
else
while getopts "bfhp:sut" x; do
case "$x" in
h)
printf "%s\\n" "$USAGE"
exit 2
;;
b)
BATCH=1
;;
f)
FORCE=1
;;
p)
PREFIX="$OPTARG"
;;
s)
SKIP_SCRIPTS=1
;;
u)
FORCE=1
;;
t)
TEST=1
;;
?)
printf "ERROR: did not recognize option '%s', please try -h\\n" "$x"
exit 1
;;
esac
done
fi
if ! bzip2 --help >/dev/null 2>&1; then
printf "WARNING: bzip2 does not appear to be installed this may cause problems below\\n" >&2
fi
# verify the size of the installer
if ! wc -c "$THIS_PATH" | grep 36020850 >/dev/null; then
printf "ERROR: size of %s should be 36020850 bytes\\n" "$THIS_FILE" >&2
exit 1
fi
if [ "$BATCH" = "0" ] # interactive mode
then
printf "\\n"
printf "Welcome to Miniconda3 4.3.27\\n"
printf "\\n"
printf "In order to continue the installation process, please review the license\\n"
printf "agreement.\\n"
printf "Please, press ENTER to continue\\n"
printf ">>> "
read -r dummy
more < for more information.
Continuum has self-classified this software as Export Commodity Control Number (ECCN) 5D002.C.1, which includes information security software using or performing cryptographic functions with asymmetric algorithms. The form and manner of this distribution makes it eligible for export under the License Exception ENC Technology Software Unrestricted (TSU) exception (see the BIS Export Administration Regulations, Section 740.13) for both object code and source code. In addition, the Intel(TM) Math Kernel Library contained in Continuum's software is classified by Intel(TM) as ECCN 5D992b with no license required for export to non-embargoed countries.
The following packages are included in this distribution that relate to cryptography:
openssl
The OpenSSL Project is a collaborative effort to develop a robust, commercial-grade, full-featured, and Open Source toolkit implementing the Transport Layer Security (TLS) and Secure Sockets Layer (SSL) protocols as well as a full-strength general purpose cryptography library.
pycrypto
A collection of both secure hash functions (such as SHA256 and RIPEMD160), and various encryption algorithms (AES, DES, RSA, ElGamal, etc.).
pyopenssl
A thin Python wrapper around (a subset of) the OpenSSL library.
kerberos (krb5, non-Windows platforms)
A network authentication protocol designed to provide strong authentication for client/server applications by using secret-key cryptography.
cryptography
A Python library which exposes cryptographic recipes and primitives.
EOF
printf "\\n"
printf "Do you accept the license terms? [yes|no]\\n"
printf "[no] >>> "
read -r ans
while [ "$ans" != "yes" ] && [ "$ans" != "Yes" ] && [ "$ans" != "YES" ] && \
[ "$ans" != "no" ] && [ "$ans" != "No" ] && [ "$ans" != "NO" ]
do
printf "Please answer 'yes' or 'no':'\\n"
printf ">>> "
read -r ans
done
if [ "$ans" != "yes" ] && [ "$ans" != "Yes" ] && [ "$ans" != "YES" ]
then
printf "The license agreement wasn't approved, aborting installation.\\n"
exit 2
fi
printf "\\n"
printf "Miniconda3 will now be installed into this location:\\n"
printf "%s\\n" "$PREFIX"
printf "\\n"
printf " - Press ENTER to confirm the location\\n"
printf " - Press CTRL-C to abort the installation\\n"
printf " - Or specify a different location below\\n"
printf "\\n"
printf "[%s] >>> " "$PREFIX"
read -r user_prefix
if [ "$user_prefix" != "" ]; then
case "$user_prefix" in
*\ * )
printf "ERROR: Cannot install into directories with spaces\\n" >&2
exit 1
;;
*)
eval PREFIX="$user_prefix"
;;
esac
fi
fi # !BATCH
case "$PREFIX" in
*\ * )
printf "ERROR: Cannot install into directories with spaces\\n" >&2
exit 1
;;
esac
if [ "$FORCE" = "0" ] && [ -e "$PREFIX" ]; then
printf "ERROR: File or directory already exists: '%s'\\n" "$PREFIX" >&2
printf "If you want to update an existing installation, use the -u option.\\n" >&2
exit 1
fi
if ! mkdir -p "$PREFIX"; then
printf "ERROR: Could not create directory: '%s'\\n" "$PREFIX" >&2
exit 1
fi
PREFIX=$(cd "$PREFIX"; pwd)
export PREFIX
printf "PREFIX=%s\\n" "$PREFIX"
# verify the MD5 sum of the tarball appended to this header
MD5=$(tail -n +464 "$THIS_PATH" | md5sum -)
if ! echo "$MD5" | grep 9d3772d2f2fef9c472a81ab1ba413847 >/dev/null; then
printf "WARNING: md5sum mismatch of tar archive\\n" >&2
printf "expected: 9d3772d2f2fef9c472a81ab1ba413847\\n" >&2
printf " got: %s\\n" "$MD5" >&2
fi
# extract the tarball appended to this header, this creates the *.tar.bz2 files
# for all the packages which get installed below
cd "$PREFIX"
if ! tail -n +464 "$THIS_PATH" | tar xf -; then
printf "ERROR: could not extract tar starting at line 464\\n" >&2
exit 1
fi
PRECONDA="$PREFIX/preconda.tar.bz2"
bunzip2 -c $PRECONDA | tar -xf - --no-same-owner || exit 1
rm -f $PRECONDA
PYTHON="$PREFIX/bin/python"
MSGS="$PREFIX/.messages.txt"
touch "$MSGS"
export FORCE
install_dist()
{
# This function installs a conda package into prefix, but without linking
# the conda packages. It untars the package and calls a simple script
# which does the post extract steps (update prefix files, run 'post-link',
# and creates the conda metadata). Note that this is all done without
# conda.
printf "installing: %s ...\\n" "$1"
PKG_PATH="$PREFIX"/pkgs/$1
PKG="$PKG_PATH".tar.bz2
mkdir $PKG_PATH || exit 1
bunzip2 -c "$PKG" | tar -xf - -C "$PKG_PATH" --no-same-owner || exit 1
"$PREFIX/pkgs/python-3.6.2-0/bin/python" -E -s \
"$PREFIX"/pkgs/.install.py $INST_OPT --root-prefix="$PREFIX" --link-dist="$1" || exit 1
if [ "$1" = "python-3.6.2-0" ]; then
if ! "$PYTHON" -E -V; then
printf "ERROR:\\n" >&2
printf "cannot execute native linux-ppc64le binary, output from 'uname -a' is:\\n" >&2
uname -a >&2
exit 1
fi
fi
}
install_dist python-3.6.2-0
install_dist conda-env-2.6.0-0
install_dist libffi-3.2.1-1
install_dist openssl-1.0.2l-0
install_dist sqlite-3.13.0-0
install_dist xz-5.2.3-1
install_dist yaml-0.1.6-0
install_dist zlib-1.2.11-1
install_dist asn1crypto-0.22.0-py36_0
install_dist certifi-2016.2.28-py36_0
install_dist idna-2.6-py36_0
install_dist pycosat-0.6.2-py36_0
install_dist pycparser-2.18-py36_0
install_dist pyparsing-2.2.0-py36_0
install_dist requests-2.14.2-py36_0
install_dist ruamel_yaml-0.11.14-py36_1
install_dist six-1.10.0-py36_0
install_dist wheel-0.29.0-py36_0
install_dist cffi-1.10.0-py36_0
install_dist packaging-16.8-py36_0
install_dist setuptools-36.4.0-py36_1
install_dist cryptography-1.8.1-py36_0
install_dist pip-9.0.1-py36_1
install_dist pyopenssl-17.0.0-py36_0
install_dist conda-4.3.27-py36_0
if [ "$FORCE" = "1" ]; then
"$PYTHON" -E -s "$PREFIX"/pkgs/.install.py --rm-dup || exit 1
fi
cat "$MSGS"
rm -f "$MSGS"
$PYTHON -E -s "$PREFIX/pkgs/.cio-config.py" "$THIS_PATH" || exit 1
printf "installation finished.\\n"
if [ "$PYTHONPATH" != "" ]; then
printf "WARNING:\\n"
printf " You currently have a PYTHONPATH environment variable set. This may cause\\n"
printf " unexpected behavior when running the Python interpreter in Miniconda3.\\n"
printf " For best results, please verify that your PYTHONPATH only points to\\n"
printf " directories of packages that are compatible with the Python interpreter\\n"
printf " in Miniconda3: $PREFIX\\n"
fi
if [ "$BATCH" = "0" ]; then
# Interactive mode.
BASH_RC="$HOME"/.bashrc
DEFAULT=no
printf "Do you wish the installer to prepend the Miniconda3 install location\\n"
printf "to PATH in your %s ? [yes|no]\\n" "$BASH_RC"
printf "[%s] >>> " "$DEFAULT"
read -r ans
if [ "$ans" = "" ]; then
ans=$DEFAULT
fi
if [ "$ans" != "yes" ] && [ "$ans" != "Yes" ] && [ "$ans" != "YES" ] && \
[ "$ans" != "y" ] && [ "$ans" != "Y" ]
then
printf "\\n"
printf "You may wish to edit your .bashrc to prepend the Miniconda3 install location to PATH:\\n"
printf "\\n"
printf "export PATH=%s/bin:\$PATH\\n" "$PREFIX"
printf "\\n"
else
if [ -f "$BASH_RC" ]; then
printf "\\n"
printf "Appending source %s/bin/activate to %s\\n" "$PREFIX" "$BASH_RC"
printf "A backup will be made to: %s-miniconda3.bak\\n" "$BASH_RC"
printf "\\n"
cp "$BASH_RC" "${BASH_RC}"-miniconda3.bak
else
printf "\\n"
printf "Appending source %s/bin/activate in\\n" "$PREFIX"
printf "newly created %s\\n" "$BASH_RC"
fi
printf "\\n"
printf "For this change to become active, you have to open a new terminal.\\n"
printf "\\n"
printf "\\n" >> "$BASH_RC"
printf "# added by Miniconda3 installer\\n" >> "$BASH_RC"
printf "export PATH=\"%s/bin:\$PATH\"\\n" "$PREFIX" >> "$BASH_RC"
fi
printf "Thank you for installing Miniconda3!\\n"
fi # !BATCH
if [ "$TEST" = "1" ]; then
printf "INFO: Running package tests in a subshell\\n"
(. "$PREFIX"/bin/activate
which conda-build > /dev/null 2>&1 || conda install -y conda-build
if [ ! -d "$PREFIX"/conda-bld/linux-ppc64le ]; then
mkdir -p "$PREFIX"/conda-bld/linux-ppc64le
fi
cp -f "$PREFIX"/pkgs/*.tar.bz2 "$PREFIX"/conda-bld/linux-ppc64le/
conda index "$PREFIX"/conda-bld/linux-ppc64le/
conda-build --override-channels --channel local --test --keep-going "$PREFIX"/conda-bld/linux-ppc64le/*.tar.bz2
)
NFAILS=$?
if [ "$NFAILS" != "0" ]; then
if [ "$NFAILS" = "1" ]; then
printf "ERROR: 1 test failed\\n" >&2
printf "To re-run the tests for the above failed package, please enter:\\n"
printf ". %s/bin/activate\\n" "$PREFIX"
printf "conda-build --override-channels --channel local --test \\n"
else
printf "ERROR: %s test failed\\n" $NFAILS >&2
printf "To re-run the tests for the above failed packages, please enter:\\n"
printf ". %s/bin/activate\\n" "$PREFIX"
printf "conda-build --override-channels --channel local --test \\n"
fi
exit $NFAILS
fi
fi
exit 0
@@END_HEADER@@
preconda.tar.bz2 0000664 0001750 0001750 00000331762 13162753066 014154 0 ustar u0018446 u0018446 0000000 0000000 BZh91AY&SYe+HWt 0 A a> PeBEJfY
,Ҩw :
)@i@7PIU@$ $RR*T ( 3kCT} ({imq ze